<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.dw@0056=0FFF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="on">
      <action>temp0 =maincpu.mb@10D1</action>
    </script>
    <script state="run">
      <action>maincpu.mb@10D1=5F</action>
    </script>
    <script state="off">
      <action>maincpu.mb@10D1=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@1A0C</action>
      <action>temp1 =maincpu.mb@1607</action>
    </script>
    <script state="run">
      <action>maincpu.mb@1A0C=58</action>
      <action>maincpu.mb@1607=58</action> <!-- Pt 1 Most collisions, Pt 2 Head to Head -->
    </script>
    <script state="off">
      <action>maincpu.mb@1A0C=temp0 </action>
      <action>maincpu.mb@1607=temp1 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
